package pro.litvinovg.libreoffice.metadata;

import static pro.litvinovg.libreoffice.metadata.MetadataElement.METADATA_PREFIX;

public class MetadataElement {
	
	public static final String METADATA_START = "## Metadata Editor extension. Outline metadata folllows: ";
	public static String METADATA_PREFIX = "##";
	public static String METADATA_END = "## Metadata Editor extension. Outline metadata ends.";
	
	
	
	private String name;
	private String value;
	
	public MetadataElement(String name, String value) {
		this.name = name;
		this.value = value;
	}
	public MetadataElement(String encodedPair) {
		//TODO: Parse encoded pair
		this.name = "";
		this.value = "";
	}
	public String getName() {
		return name;
	}
	
	public String getValue() {
		return value;
	}
	public static boolean isValidMetadataString(String cursorContent) {
		if (!cursorContent.startsWith(METADATA_PREFIX) || 
				cursorContent.equals(METADATA_START) ||
				cursorContent.equals(METADATA_END)){
			return false;
		}
		String data = cursorContent.substring(cursorContent.lastIndexOf(METADATA_PREFIX));
		
		return true;
	}
	
}
